unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls, Series;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Chart1: TChart;
    Timer1: TTimer;
    Series1: TBarSeries;
    procedure Button1Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var k:integer;
begin
    Series1.Clear;
    for k:=1 to 7 do
    Series1.Add(2*k,Inttostr(k) );
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var i:integer;
      pom1:double;
      pom2:string;
begin
  with Series1 do
  if Count>1 then
  begin
    pom1:=YValue[0];  //lub pom1:=YValues.Value[0]
    pom2:=XLabel[0];
    for i:=0 to Count-2 do
    begin
        XLabel[i]:=XLabel[i+1];
        YValue[i]:=YValue[i+1];  //lub YValues.Value[i]:=YValues.Value[i+1];
    end;
    XLabel[Count-1]:=pom2;
    YValue[Count-1]:=pom1;  //lub YValues[Count-1]:=pom1;
    Repaint;  //procedura powoduje przerysowanie wykresu
  end;
end;

end.
